/*
 * IInputEventListener.h
 *
 *  Created on: 5 déc. 2020
 *      Author: fanch
 */

#ifndef SRC_IINPUTEVENTLISTENER_H_
#define SRC_IINPUTEVENTLISTENER_H_

class Button;
class Controller;
class NoteOn;
class NoteOff;
class ControllerChange;


class IInputEventListener
{
    public:
        virtual ~IInputEventListener(){}
        virtual void on_press(Button* b, const NoteOn& m){}
        virtual void on_release(Button* b, const NoteOff& m){}
        virtual void on_control_change(Controller* b, const ControllerChange& m){}
};



#endif /* SRC_IINPUTEVENTLISTENER_H_ */
