
#include <cstdio>
#include <RtMidi.h>
#include "MidiMessage.h"
#include "MidiPort.h"
#include "PadDefinition.h"
#include <unistd.h>
#include "Config.h"
#include "PadManager.h"
#include "simplemidi.h"
#include "Pad.h"
#include "Application.h"

class TMP : public IMidiPortListener
{
    public:
        virtual ~TMP(){}
        virtual void on_new_message(double ts, const MidiMessage* m){
            std::cout << m->to_string() << "\n";
        }
};

#include "Socket.h"
#include "Command.h"
int main(int argc, char** argv)
{
    const char* fake_argv[] = {
		".",
		"--command", "inet", "8081", "/home/fanch/Programmation/simplemidi/utils/conf3.conf"
    };
	if(argc==1){
		argv=(char**)fake_argv;
		argc=sizeof(fake_argv)/sizeof(*fake_argv);
	}
	if(0){
		for(int i=0;i<argc; i++)
			std::cout << "'" << argv[i] <<"'\n";
		std::cout << "\n";
	}

	Args args(argc, argv);
	Config::init(args);
	PadManager::init();
	Application app;
	app.process();





/*
	StdioServer serv;
	if(serv.get_type()==Socket::STDIO) std::cerr << "> ";
	bool do_exit=false;
	while(!do_exit){
		ISocket* sock = serv.accept();
		Command c = Command::parse(sock);
		c.print();
		sock->write("\n> ");
		if(c.get_name()=="exit") do_exit=true;
	}
*/

/*
    argv=(char**)fake_argv;
    argc=sizeof(fake_argv)/sizeof(*fake_argv);

    Args args(argc, argv);
    Config::init(args);
    PadManager::init();
    Application app;
    if(!args.continue_app)  return 0;
    while(1)
    {
        //app.load_configuration("/home/fanch/Programmation/simplemidi/utils/conf.conf");

        app.load_configuration("/home/fanch/Programmation/simplemidi/utils/conf2.conf");
        usleep(5000000);
        app.load_configuration("/home/fanch/Programmation/simplemidi/utils/conf3.conf");
        usleep(5000000);
	}*/

    /*
    std::cerr << "Start\n";
    std::string file="utils/.simple_midi_exchange";
//    /std::string args="utils/conf2.conf";
    if(argc>1) file=argv[1];
    std::cerr << "File = " << file <<"\n";
    PadConfguration *p = PadConfguration::from_file(file);
    p->connect_to_device();
    p->send_init();
    std::cout << "LOOPING\n";
    while(1);*/

}
