from padbuilder import InputDef, Pad

pad = Pad("APC Mini", 10, 12, "APC MINI:APC MINI MIDI", "APC MINI:APC MINI MIDI")

button = InputDef.button("button")
button.add_noteon("on", -1, -1, 1)
button.add_noteon("off", -1, -1, 0)
button.add_noteon("clear", -1, -1, 0)
button.add_noteon("green", -1, -1, 1)
button.add_noteon("_blink", -1, -1, 2)
button.add_noteon("red", -1, -1, 3)
button.add_noteon("red_blink", -1, -1, 4)
button.add_noteon("yellow", -1, -1, 5)
button.add_noteon("yellow_blink", -1, -1, 6)
pad.add_inputdef(button)


circlebutton = InputDef.button("circlebutton")
circlebutton.add_noteon("on", -1, -1, 1)
circlebutton.add_noteon("off", -1, -1, 0)
circlebutton.add_noteon("clear", -1, -1, 0)
pad.add_inputdef(circlebutton)

controller = InputDef.controller("controller")
pad.add_inputdef(controller)

i=0
for y in range(8):
    for x in range(8):
        pad[x,7-y]=button.instance(1, i)
        i+=1

for i in range(8):
    pad[9, i] = button.instance(1, 82+i)

for i in range(8):
    pad[i, 9] = button.instance(1, 64+i)

for i in range(9):
    pad[i, 11] = controller.instance(1, 48+i)

pad[9,9]=button.instance(1,98)



pad.write("../pads/apc.json")








